E2B

List running sandboxes

List your running sandboxes (legacy; prefer v2).

GET /e2b/sandboxes● Supported

Official E2B docs ↗

Request parameters

  • metadatastring可选

    query: Metadata query used to filter the sandboxes (e.g. "user=abc&app=prod"). Each key and values must be URL encoded.

Returns

200

Deprecated: the latest official SDK uses v2.

Errors follow the E2B format — see error codes

Response

HTTP 200

Successfully returned all running sandboxes

application/json

NameTypeDescription
[].templateIDstringIdentifier of the template from which is the sandbox created
[].aliasstringAlias of the template
[].sandboxIDstringIdentifier of the sandbox
[].clientIDstringIdentifier of the client
[].startedAtstringTime when the sandbox was started
[].endAtstringTime when the sandbox will expire
[].cpuCountintegerCPU cores for the sandbox
[].memoryMBintegerMemory for the sandbox in MiB
[].diskSizeMBintegerDisk size for the sandbox in MiB
[].metadataany
[].statestringState of the sandbox
[].envdVersionstringVersion of the envd running in the sandbox
[].volumeMountsarray<object>
[].volumeMounts[].namestringName of the volume
[].volumeMounts[].pathstringPath of the volume